diff options
author | Philipp Hagemeister <phihag@phihag.de> | 2013-06-24 00:09:20 +0200 |
---|---|---|
committer | Philipp Hagemeister <phihag@phihag.de> | 2013-06-24 00:09:57 +0200 |
commit | 964ac8b5840e8e9c3662d3963de3c5a77af3bd3a (patch) | |
tree | 0e545a9d29d0431799e047d8f9161ead91b3162c | |
parent | a3522dfddd333ce14f9603ab43c58e9ae204adbb (diff) |
Fix release script once more
-rwxr-xr-x | devscripts/release.sh | 7 |
1 files changed, 4 insertions, 3 deletions
diff --git a/devscripts/release.sh b/devscripts/release.sh index 015372d5e..d32ae47dd 100755 --- a/devscripts/release.sh +++ b/devscripts/release.sh @@ -14,11 +14,12 @@ set -e -skip_test=false +skip_tests=false if [ "$1" = '--skip-test' ]; then - skip_test=true + skip_tests=true shift fi + if [ -z "$1" ]; then echo "ERROR: specify version number like this: $0 1994.09.06"; exit 1; fi version="$1" if [ ! -z "`git tag | grep "$version"`" ]; then echo 'ERROR: version already present'; exit 1; fi @@ -27,7 +28,7 @@ if [ ! -f "updates_key.pem" ]; then echo 'ERROR: updates_key.pem missing'; exit /bin/echo -e "\n### First of all, testing..." make cleanall -if $skip_tests; then +if $skip_tests ; then echo 'SKIPPING TESTS' else nosetests --verbose --with-coverage --cover-package=youtube_dl --cover-html test --stop || exit 1 |